MessageKeyVerifier (Compiler assisted localization library (CAL10N) - Parent 0.7.7 API)
Date: 2013-03-18

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ch.qos.cal10n.verifier
Class MessageKeyVerifier

    java.lang.Object
      ch.qos.cal10n.verifier.MessageKeyVerifier

All Implemented Interfaces:
  IMessageKeyVerifier

    public class MessageKeyVerifier

extends Object
implements IMessageKeyVerifier

Given an enum class, verify that the resource bundles corresponding to a given locale contains the correct keys.

Author:
  Ceki Gulcu

Constructor Summary
`MessageKeyVerifier(Class<? extends Enum<?>> enumClass)`
`MessageKeyVerifier(String enumTypeAsStr)`

Method Summary
`String` | `getBaseName()` Get the base name for the resource bundle family as specified in the enumType (via annotations)
`Class<? extends Enum<?>>` | `getEnumType()` Get the of enum type that this verifier is related to to.
`String` | `getEnumTypeAsStr()` Get the name of enum type to this verifier is related to to.
`String[]` | `getLocaleNames()` Get the locales specified in the enumType (via annotations)
`List<String>` | `typeIsolatedVerify(Locale locale)` Same as `IMessageKeyVerifier.verify(Locale)` except that the return type is List.
`List<Cal10nError>` | `verify(Locale locale)` Verify that the keys defined in the enumClass match those found in the resource bundle corresponding to a certain locale
`List<Cal10nError>` | `verifyAllLocales()` Verify all declared locales in one step.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MessageKeyVerifier

    public MessageKeyVerifier(Class<? extends Enum<?>> enumClass)

### MessageKeyVerifier

    public MessageKeyVerifier(String enumTypeAsStr)

Method Detail

### getEnumType

    public Class<? extends Enum<?>> getEnumType()

  Description copied from interface: `IMessageKeyVerifier`
  Get the of enum type that this verifier is related to to.

  Specified by:
    `getEnumType` in interface `IMessageKeyVerifier`
  Returns:

### getEnumTypeAsStr

    public String getEnumTypeAsStr()

  Description copied from interface: `IMessageKeyVerifier`
  Get the name of enum type to this verifier is related to to.

  Specified by:
    `getEnumTypeAsStr` in interface `IMessageKeyVerifier`
  Returns:

### verify

    public List<Cal10nError> verify(Locale locale)

  Description copied from interface: `IMessageKeyVerifier`
  Verify that the keys defined in the enumClass match those found in the resource bundle corresponding to a certain locale

  Specified by:
    `verify` in interface `IMessageKeyVerifier`
  Returns:

### typeIsolatedVerify

    public List<String> typeIsolatedVerify(Locale locale)

  Description copied from interface: `IMessageKeyVerifier`
  Same as `IMessageKeyVerifier.verify(Locale)` except that the return type is List.

  Specified by:
    `typeIsolatedVerify` in interface `IMessageKeyVerifier`
  Returns:

### verifyAllLocales

    public List<Cal10nError> verifyAllLocales()

  Verify all declared locales in one step.

  Specified by:
    `verifyAllLocales` in interface `IMessageKeyVerifier`
  Returns:

### getLocaleNames

    public String[] getLocaleNames()

  Description copied from interface: `IMessageKeyVerifier`
  Get the locales specified in the enumType (via annotations)

  Specified by:
    `getLocaleNames` in interface `IMessageKeyVerifier`
  Returns:

### getBaseName

    public String getBaseName()

  Description copied from interface: `IMessageKeyVerifier`
  Get the base name for the resource bundle family as specified in the enumType (via annotations)

  Specified by:
    `getBaseName` in interface `IMessageKeyVerifier`
  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009-2013 QOS.ch. All Rights Reserved.